%define	major 2
%define libname %mklibname spf2_ %{major}
%define devname %mklibname spf2 -d

Summary:	Implementation of the SPF specification
Name:		libspf2
Version:	1.2.11
Release:	%mkrel 0.git20210609.1
License:	BSD
Group:		System/Libraries
URL:		http://www.libspf2.org/
#Source0:	http://www.libspf2.org/spf/%{name}-%{version}.tar.gz
Source0:	https://github.com/shevek/libspf2/archive/refs/heads/master.zip
Patch0:		libspf2-1.2.11-mga-varargs.patch
Patch1:		libspf2-1.2.10-no-static.patch

%description
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{libname}
Summary:	Implementation of the SPF specification
Group:		System/Libraries
Obsoletes:	%{_lib}spf2 < 1.2.10-3

%description -n	%{libname}
libspf2 is an implementation of the SPF (Sender Policy Framework)
specification as found at:
http://www.ietf.org/internet-drafts/draft-mengwong-spf-00.txt

SPF allows email systems to check SPF DNS records and make sure
that an email is authorized by the administrator of the domain
name that it is coming from. This prevents email forgery, commonly
used by spammers, scammers, and email viruses/worms.

A lot of effort has been put into making it secure by design, and
a great deal of effort has been put into the regression tests.

%package -n	%{devname}
Summary:	Development tools needed to build programs that use libspf2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the header files and static libraries
necessary for developing programs using the libspf2
(Sender Policy Framework) library.

%package -n	spf2-utils
Summary:	Programs for making SPF queries using libspf2
Group:		System/Servers

%description -n	spf2-utils
Programs for making SPF queries and checking their results using
libspf2.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# install all headers
install -m0644 src/include/*.h %{buildroot}%{_includedir}/spf2/

# these binaries are needed by the tests above
rm -f %{buildroot}%{_bindir}/*_static

# rename the binaries to prevent file conflicts
cd  %{buildroot}%{_bindir}
    for f in *; do mv ${f} ${f}2; done
cd -


%files -n %{libname}
%doc README INSTALL LICENSES TODO
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/*.so
%{_includedir}/spf2/

%files -n spf2-utils
%{_bindir}/spfd2
%{_bindir}/spfquery2
%{_bindir}/spftest2
%{_bindir}/spf_example2


%changelog
* Mon Sep 27 2021 ns80 <ns80> 1.2.11-0.git20210609.1.mga8
+ Revision: 1746719
- update to latest git snapshot for security issues (mga#29396)

* Sat Aug 21 2021 wally <wally> 1.2.10-5.1.mga8
+ Revision: 1742143
- add upstream patch to fix CVE-2021-20314 (mga#29361)

* Thu Feb 13 2020 umeabot <umeabot> 1.2.10-5.mga8
+ Revision: 1514447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.10-4.mga7
+ Revision: 1299164
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.2.10-3.mga7
+ Revision: 1235900
- fix lib pkg name
- fix build on aarch64
- disable static build and drop .la files

* Thu Feb 11 2016 umeabot <umeabot> 1.2.10-2.mga6
+ Revision: 955661
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 danf <danf> 1.2.10-1.mga6
+ Revision: 893105
- Upgraded to ver. 1.2.10

* Wed Oct 15 2014 umeabot <umeabot> 1.2.9-9.mga5
+ Revision: 751040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.9-8.mga5
+ Revision: 681795
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.9-7.mga4
+ Revision: 507351
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2.9-6.mga3
+ Revision: 358198
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 dlucio <dlucio> 1.2.9-5.mga2
+ Revision: 225098
- SPEC fixes
- imported package libspf2


* Mon May 30 2011 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 1.2.9-4mdv2011.0
+ Revision: 681769
- fix devel provides

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-3mdv2011.0
+ Revision: 620226
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.2.9-2mdv2010.0
+ Revision: 439444
- rebuild

* Tue Nov 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.9-1mdv2009.1
+ Revision: 299895
- 1.2.9
- drop redundant patches; P0

* Sun Jul 27 2008 Thierry Vignaud <tv@mandriva.org> 1.2.5-8mdv2009.0
+ Revision: 250564
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.2.5-6mdv2008.1
+ Revision: 170957
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-5mdv2008.0
+ Revision: 83757
- rebuild


* Fri Dec 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-4mdv2007.0
+ Revision: 93759
- Import libspf2

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-4mdv2007.0
- added one patch by debian

* Tue Oct 25 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.5-3mdk
- fix #19226

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.5-2mdk
- install missing headers

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- use the %%mkrel macro
- remove the resolv patch, it's integrated upstream
- cleaned up the spec file and used naming as in the libalsa2 package

* Tue Feb 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Sun Feb 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- remove the lowercase diff (P0)

* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.4-2mdk
- make it build on amd64 (duh!)

* Thu Oct 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.4-1mdk
- initial mandrake import

* Tue Aug 17 2004 Paul Howarth <paul@city-fan.org> 1.0.4-7
- Configure fix to find -lresolv on x64_64
- Portability fixes for x64_64

* Mon Aug 02 2004 Paul Howarth <paul@city-fan.org> 1.0.4-6
- Fix case-sensitivity bug.

* Thu Jul 29 2004 Paul Howarth <paul@city-fan.org> 1.0.4-5
- Revert -pthread option as it didn't improve anything.

* Wed Jul 28 2004 Paul Howarth <paul@city-fan.org> 1.0.4-4
- Use `alternatives' so that the spfquery and spfd programs can co-exist
  with versions from other implementations.
- Ensure thread-safe operation by building with -pthread.

* Fri Jul 16 2004 Paul Howarth <paul@city-fan.org> 1.0.4-3
- Install the libtool library in the devel package so that
  dependent libraries are found properly.
- Use the libtool supplied with the package rather than the
  system libtool.

* Wed Jul 14 2004 Paul Howarth <paul@city-fan.org> 1.0.4-2
- Cosmetic changes for building on Mandrake Linux
- Require rpm-build >= 4.1.1 for building to avoid strange error messages
  from old versions of rpm when they see %%check
- Require glibc-devel and make for building
- Require perl for building with checks enabled
- Improved description text for the packages

* Sat Jul 10 2004 Paul Howarth <paul@city-fan.org> 1.0.4-1
- Update to 1.0.4
- Added facility to build without running test suite
  (rpmbuild --without checks)

* Sun Jul 04 2004 Paul Howarth <paul@city-fan.org> 1.0.3-1
- Initial RPM build.

